Text

Get supported languages, domains, styles, and redaction placeholders

Discover all supported capabilities, language allowlists, domain verticals, summary styles, and redaction placeholders supported by the LLM text services. Use this endpoint to populate client-side dropdowns and dynamically validate inputs before submitting requests.

GET
/api/v1/text/languages
curl -X GET "https://api.orbitalsai.com/api/v1/text/languages"

Capabilities and allowlists registry returned successfully.

{
  "default_domain": "general conversation",
  "domains": [
    "banking",
    "customer support",
    "ecommerce",
    "education",
    "fintech",
    "general conversation",
    "government services",
    "healthcare",
    "human resources",
    "insurance",
    "legal admin",
    "logistics",
    "telecom",
    "travel hospitality",
    "utilities"
  ],
  "languages": [
    "Afrikaans",
    "Amharic",
    "Arabic",
    "English",
    "French",
    "German",
    "Hausa",
    "Igbo",
    "Isixhosa",
    "Italian",
    "Kinyarwanda",
    "Sesotho",
    "Setswana",
    "Shona",
    "Spanish",
    "Swahili",
    "Twi",
    "Yoruba",
    "Zulu"
  ],
  "redaction_languages": [
    "Afrikaans",
    "Amharic",
    "Arabic",
    "English",
    "French",
    "German",
    "Hausa",
    "Igbo",
    "Isixhosa",
    "Italian",
    "Kinyarwanda",
    "Sesotho",
    "Setswana",
    "Shona",
    "Spanish",
    "Swahili",
    "Twi",
    "Yoruba",
    "Zulu"
  ],
  "redaction_placeholders": [
    "[ACCOUNT_NUMBER]",
    "[ADDRESS]",
    "[BVN]",
    "[CARD_NUMBER]",
    "[CUSTOMER_ID]",
    "[DATE_OF_BIRTH]",
    "[EMAIL]",
    "[EMPLOYEE_ID]",
    "[GOVERNMENT_ID]",
    "[MEDICAL_ID]",
    "[PERSON_NAME]",
    "[PHONE_NUMBER]",
    "[POLICY_NUMBER]",
    "[STUDENT_ID]",
    "[TRANSACTION_ID]"
  ],
  "summarization_output": "English",
  "summarization_sources": [
    "Afrikaans",
    "Amharic",
    "Arabic",
    "English",
    "French",
    "German",
    "Hausa",
    "Igbo",
    "Isixhosa",
    "Italian",
    "Kinyarwanda",
    "Sesotho",
    "Setswana",
    "Shona",
    "Spanish",
    "Swahili",
    "Twi",
    "Yoruba",
    "Zulu"
  ],
  "summary_styles": [
    "detailed",
    "short",
    "structured"
  ],
  "translation_directions": "all ordered pairs of the above"
}